请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册

QQ登录

只需一步,快速开始

qdcxin

注册会员

1

主题

2

帖子

19

积分

注册会员

积分
19
  • 17

    金币

  • 主题

  • 帖子

最新发帖
qdcxin
注册会员   /  发表于:2016-9-23 15:53  /   查看:2776  /  回复:3
(求助 急)我所购买的Spread for ASP.NET V8的控件在客户端填报时在IE8下能正常使用,但是在IE9,IE10、IE11时却进行数据填报时不能在相应单元格录数据。请问如何解决?

3 个回复

倒序浏览
dexteryao讲师达人认证 悬赏达人认证 SpreadJS 开发认证
超级版主   /  发表于:2016-9-23 16:11:42
沙发
您好,你是开发时就不行还是部署后不行?
如果是部署后报错可能是没有复制fp_client文件夹,你看下
http://blog.gcpowertools.com.cn/ ... 83%A8%E7%BD%B2.aspx

另外您在开发模式看下页面有没有报什么错

评分

参与人数 1满意度 +5 收起 理由
qdcxin + 5 赞一个!

查看全部评分

回复 使用道具 举报
qdcxin
注册会员   /  发表于:2016-9-23 16:32:24
板凳
开发环境运行和调试时加载模板进行填报时还是存在IE10不能填报问题,编译部署也没有报错,部署后fp_client也拷贝到根目录,但是所有机器的IE10都不支持。我的Jquery版本是2.1的,报错:“报错“Microsoft JScript 运行时错误: 对象不支持“dispatchEvent”属性或方法”,但由于控件自带的Jquery是加密的,也不能用低版本的Jquery实验
回复 使用道具 举报
dexteryao讲师达人认证 悬赏达人认证 SpreadJS 开发认证
超级版主   /  发表于:2016-9-23 17:13:13
地板
您确认下除了js错误是否还有 资源的404错误。另外因为spread自带jquery你可以不引用jquery 2.1.如果还有问题你可以发一个可以重现问题的小demo过来嘛。现在根据您的描述还是无法确定问题。
回复 使用道具 举报
您需要登录后才可以回帖 登录 | 立即注册
返回顶部